<!--p>clients-create works!</p>

<form [formGroup]="clientsFormGroup" novalidate (ngSubmit)="saveClient()">
    <div>
        <label for="">name</label>
        <input type="text" formControlName="name" name="name">
        <div *ngIf="clientsFormGroup.get('name').invalid && (clientsFormGroup.get('name').dirty || clientsFormGroup.get('name').touched ) ">
            <div *ngIf="clientsFormGroup.get('name').errors.required">
                <p class="error-validate">El campo es requerido</p>

            </div>
            <div *ngIf="clientsFormGroup.get('name').errors.maxlength">
                <p class="error-validate">El campo debe contener maximo 30 caracteres</p>
            </div>

        </div>



    </div>
    <div>
        <label for="">Email</label>
        <input type="text" formControlName="email" name="email">
    </div>
    <div>
        <label for="">PhoneNumber</label>
        <input type="text" formControlName="phoneNumber" name="phoneNumber">
    </div>
    <div>
        <label for="">documentNumber</label>
        <input type="text" formControlName="documentNumber" name="documentNumber">
    </div>

    <button type="submit" [disabled]="clientsFormGroup.invalid">Guardar</button>


</form-->

<div class="container">
    <h2 class="text-center"> CREAR CLIENT</h2>
    <form [formGroup]="clientsFormGroup" novalidate (ngSubmit)="saveClient()">
        <div class="form-group">
            <label for="exampleFormControlInput1">name</label>
            <input class="form-control" type="text" formControlName="model" name="model">
            <div *ngIf="clientsFormGroup.get('name').invalid && (clientsFormGroup.get('name').dirty || clientsFormGroup.get('name').touched ) ">
                <div *ngIf="clientsFormGroup.get('name').errors.required">
                    <p class="error-validate">El campo es requerido</p>

                </div>
                <div *ngIf="clientsFormGroup.get('name').errors.maxlength">
                    <p class="error-validate">El campo debe contener maximo 30 caracteres</p>
                </div>

            </div>
        </div>
        <div class="form-group">
            <label for="exampleFormControlInput1">Email</label>
            <input class="form-control" type="text" formControlName="email" name="email">
        </div>
        <div class="form-group">
            <label for="exampleFormControlInput1">PhoneNumber</label>
            <input class="form-control" type="text" formControlName="phoneNumber" name="phoneNumber">
        </div>
        <div class="form-group">
            <label for="exampleFormControlInput1">documentNumber</label>
            <input class="form-control" type="text" formControlName="documentNumber" name="documentNumber">
        </div>
        <button type="submit" [disabled]="clientsFormGroup.invalid">Guardar</button> </form>
</div>